Class | Fog::CDN::Rackspace::Real
In: | lib/fog/rackspace/requests/cdn/head_container.rb lib/fog/rackspace/requests/cdn/post_container.rb lib/fog/rackspace/requests/cdn/get_containers.rb lib/fog/rackspace/requests/cdn/put_container.rb lib/fog/rackspace/cdn.rb
Parent: | Object

### Methods

enabled? get_containers head_container new post_container put_container reload request

### Public Class methods

new(options={})

### Public Instance methods

enabled?()
get_containers(options = {})

List existing cdn-enabled storage containers

#### Parameters

- options<~Hash>:
  - ‘enabled_only’<~Boolean> - Set to true to limit results to cdn enabled containers
  - ‘limit’<~Integer> - Upper limit to number of results returned
  - ‘marker’<~String> - Only return objects with name greater than this value

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - container<~String>: Name of container

head_container(container)

List cdn properties for a container

#### Parameters

- container<~String> - Name of container to retrieve info for

#### Returns

- response<~Excon::Response>:
  - headers<~Hash>:
    - ‘X-CDN-Enabled’<~Boolean> - cdn status for container
    - ‘X-CDN-URI’<~String> - cdn url for this container
    - ‘X-TTL’<~String> - integer seconds before data expires, defaults to 86400 (1 day)
    - ‘X-Log-Retention’<~Boolean> - ?
    - ‘X-User-Agent-ACL’<~String> - ?
    - ‘X-Referrer-ACL’<~String> - ?

post_container(name, options = {})

modify CDN properties for a container

#### Parameters

- name<~String> - Name for container, should be < 256 bytes and must not contain ’/’

# options<~Hash>:

      * 'X-CDN-Enabled'<~Boolean> - cdn status for container
      * 'X-CDN-URI'<~String> - cdn url for this container
      * 'X-TTL'<~String> - integer seconds before data expires, defaults to 86400 (1 day), in 3600..259200
      * 'X-Log-Retention'<~Boolean> - ?
      * 'X-User-Agent-ACL'<~String> - ?
      * 'X-Referrer-ACL'<~String> - ?

put_container(name, options = {})

enable CDN for a container

#### Parameters

- name<~String> - Name for container, should be < 256 bytes and must not contain ’/’

# options<~Hash>:

      * 'X-CDN-Enabled'<~Boolean> - cdn status for container
      * 'X-CDN-URI'<~String> - cdn url for this container
      * 'X-TTL'<~String> - integer seconds before data expires, defaults to 86400 (1 day), in 3600..259200
      * 'X-Log-Retention'<~Boolean> - ?
      * 'X-User-Agent-ACL'<~String> - ?
      * 'X-Referrer-ACL'<~String> - ?

reload()
request(params, parse_json = true)

[Validate]